| Home | Libraries | People | FAQ | More

##### deque_tie

###### Description

Constructs a tie using a `deque` sequence.

###### Synopsis

    template <typename ...Elements>
    deque<Elements&...>
    deque_tie(Elements&... elements);

For C++11 compilers, the variadic function interface has no upper bound.

For C++03 compilers, the variadic function accepts `0` to `FUSION_MAX_DEQUE_SIZE` elements, where `FUSION_MAX_DEQUE_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_DEQUE_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_DEQUE_SIZE 20

###### Parameters

Parameter | Description | Description
--- | --- | ---
`elements` | Instances of `Elements` | The arguments to `deque_tie`

###### Expression Semantics

    deque_tie(elements...);

Return type: `deque`<Elements&...>

Semantics: Create a `deque` of references from `elements...`.

###### Header

    #include <boost/fusion/container/generation/deque_tie.hpp>
    #include <boost/fusion/include/deque_tie.hpp>

###### Example

    int i = 123;
    double d = 123.456;
    deque_tie(i, d)